package CheckRelease2::CMS::Author;

use strict;

use MT;
use Data::Dumper;
use JSON;
use CheckRelease2::Util qw(_t get_users_by_perms can_final_approval can_intermediate_approval);

sub js_author_list {
	my $app = shift;
  my $q = $app->param;
  my $blog_id = $app->param('blog_id') || 0;
  return $app->json_error( _t('Permission denied.') )
    unless $app->user->permissions($blog_id)->permissions =~ m!(manage_workflow|administer)!;
  return $app->json_error( _t('Invalid Request.') )
    if $blog_id !~ m!^\d+$!;
  my $authors = get_users_by_perms(['administer', 'administer_site', 'intermediate_approver', 'final_approver'], $blog_id);
  return $app->json_result('') unless defined $authors;
  my @res;
  foreach my $user ( @$authors ) {
    push @res, {
      id => $user->id,
      value => 'id=' .$user->id .'&email='.$user->email,
      label => $user->nickname,
      name => $user->name,
      email => $user->email,
      can_intermediate_approval => can_intermediate_approval($user, $blog_id),
      can_final_approval => can_final_approval($user, $blog_id),
    };
  }
  my $json = JSON::to_json(\@res);
  return $app->json_result($json);
}
1;